import request from '/@/utils/request';

export function materialApi() {
    return {

        //物资管理分页列表
        getRecordPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/page/list`,
                method: 'post',
                data: data
            });
        },

        //物资列表
        getRecordList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/emegency/materials`,
                method: 'post'
            });
        },

        // 新增
        addRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/save`,
                method: 'post',
                data: data
            });
        },

        // 修改
        updateRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/update`,
                method: 'post',
                data: data
            });
        },

        // 删除
        deleteRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/delete`,
                method: 'post',
                data: data
            });
        }
    };
}
